#!/usr/bin/env bash

set -u

ROOTDIR=${ROOTDIR:-`bzr root`}
if [ ! -d "$ROOTDIR"  ]; then
    echo "ROOTDIR '$ROOTDIR' doesn't exist" >&2
    exit 1
fi

for pgver in 9.1 8.4; do
    if [ -d /usr/lib/postgresql/$pgver ]; then
        PGBINDIR=/usr/lib/postgresql/$pgver/bin
        break
    fi
done
if [ -z "$PGBINDIR" ]; then
    echo "Cannot find valid parent for PGBINDIR"
    exit 1
fi

# setting PGDATA tells pg_ctl which DB to talk to
export PGDATA=$ROOTDIR/tmp/db1/data/
$PGBINDIR/pg_ctl status > /dev/null
if [ $? = 0 ]; then
    $PGBINDIR/pg_ctl stop -t 60 -w -m fast
fi
